Subject: Re: Petits Propos Culinaires

From: [email-masked] (Elise A. Fleming)
Date: 9 Jan 1995 22:22:15 GMT

PPC is still being printed.  There is no more North American
mailing address.  In March 1993 they sent a notice that "Future
issues of PPC will be mailed to you directly from PPC Headquarters
in London.  Their address is:  PPC, 45 Lamont Road, Chelsea,
London SW10  OHU, England...use i6t for all correspondence from
now on....Checks should still be made out to 'PPC North America'."

USA rates are $45.oo for 6 issues (2 years) and $23.50 for 3 
issues.  Different prices for UK and "elsewhere."

If you can afford this publication it is well worth the money.
For really way-back history buffs, Issue 45 contained a fascina-
ting article entitled, "An Experiment in Bronze Age Cooking:
The Fulacht Fiadh, Castlemary 1993", by Diaramuid A. O'Dris-
ceoil.  Back issues are available!

Elise/Alys K.